Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.txbridge.ba.annotation
Enum BAParameterMatch

    java.lang.Object
      java.lang.Enum<BAParameterMatch>
          org.jboss.txbridge.ba.annotation.BAParameterMatch

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BAParameterMatch>

    public enum BAParameterMatch

extends java.lang.Enum<BAParameterMatch>

List of supported parameter match types. If the service requires STRICT parameter match then compensation action will be executed only if all arguments can be provided. If the service uses ALLOW_NULL parameter match then the execution mechanism will try to invoke the service even if not enough arguments can be found.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Enum Constant Summary
`ALLOW_NULL`
`STRICT`

Method Summary
`static BAParameterMatch` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BAParameterMatch[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRICT

    public static final BAParameterMatch STRICT

### ALLOW_NULL

    public static final BAParameterMatch ALLOW_NULL

Method Detail

### values

    public static final BAParameterMatch[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BAParameterMatch c : BAParameterMatch.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BAParameterMatch valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD